apc_load_constants
apc_store
APC Functions
PHP Manual

# apc_sma_info

(PECL apc:2.0-3.0.9)

apc_sma_info — Retrieves APC's Shared Memory Allocation information

### Description

array apc_sma_info ([ bool `$limited` ] )

Retrieves APC's Shared Memory Allocation information.

### Parameters

`limited`

  When set to `FALSE` (default) apc_sma_info() will return a detailed information about each segment.

### Return Values

Array of Shared Memory Allocation data; `FALSE` on failure.

### Examples

Example #1 A apc_sma_info() example

`<?php
print_r(apc_sma_info());
?>`

The above example will output something similar to:

    Array
    (
        [num_seg] => 1
        [seg_size] => 31457280
        [avail_mem] => 31448408
        [block_lists] => Array
            (
                [0] => Array
                    (
                        [0] => Array
                            (
                                [size] => 31448408
                                [offset] => 8864
                            )

                    )

            )

    )

### See Also

- APC configuration directives

apc_load_constants
apc_store
APC Functions
PHP Manual